using SoftwareInstallationContracts.Attributes;
using SoftwareInstallationDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SoftwareInstallationContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        [Column(visible: false)]
        public string MessageId { get; set; } = string.Empty;

        [Column(visible: false)]
        public int? ClientId { get; set; }
        [Column("Имя отправителя", gridViewAutoSize: GridViewAutoSize.DisplayedCells, isUseAutoSize: true)]
        public string SenderName { get; set; } = string.Empty;

        [Column("Дата отправления", width: 100)]
        public DateTime DateDelivery { get; set; }
        [Column("Тема", width: 150)]
        public string Subject { get; set; } = string.Empty;
        [Column("Содержание", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Body { get; set; } = string.Empty;
        [Column(visible: false)]
        public int Id => throw new NotImplementedException();
    }
}
